#!/bin/sh




F_setupDBEnv()
{
    export ODBCINI=${IMSS_HOME}/config/odbc.ini
    DB_USER=`F_ini_get ${ODBCINI} "IMSS" "UserName"`
    DB_SERVER=`F_ini_get ${ODBCINI} "IMSS" "Servername"`
    DB_NAME=`F_ini_get ${ODBCINI} "IMSS" "Database"`
    DB_PASSWD=`F_ini_get ${ODBCINI} "IMSS" "Password"`
    DB_PORT=`F_ini_get ${ODBCINI} "IMSS" "Port"`
    
    DB_USER=`echo ${DB_USER}`
    DB_SERVER=`echo ${DB_SERVER}`
    DB_NAME=`echo ${DB_NAME}`
    DB_PASSWD=`echo ${DB_PASSWD}`
    DB_PORT=`echo ${DB_PORT}`
    
    if [ -z "${DB_USER}" -o -z "${DB_SERVER}" -o -z "${DB_NAME}" -o -z "${DB_PASSWD}" -o -z "${DB_PORT}" ]; then
        F_log "Error: can not get DB information from ${ODBCINI}: UserName=${DB_USER}, Servername=${DB_SERVER}, Database=${DB_NAME}, Password=${DB_PASSWD}, Port=${DB_PORT}."
        exit 1
    fi
    
    DB_PASSWDPlain="`${IMSS_HOME}/bin/passwd_util -d ${DB_PASSWD}`"
    export PGPASSWORD="${DB_PASSWDPlain}"

    return 0
}

F_install()
{
    return 0
}

F_rollback()
{        

    return 0
}

####################################################################################################

F_setupDBEnv

case "$1" in
'install')
    F_install
    ;;
'rollback')
    F_rollback
    ;;
*)
    exit 0
    ;;
esac

